// InputFPD.cpp: CInputFPD NX̃Cve[V
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "vjb30040.h"
#include "InputFPD.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// \z/
//////////////////////////////////////////////////////////////////////

CInputFPD::CInputFPD()
{

}

CInputFPD::~CInputFPD()
{

}

//
//	@\	F@smFbZ[W
//
//		F	pParam - ̓p[^
//
//	Al	F	ʃR[h
//
//	@\F	smFbZ[W\AIy[^̎x҂B
//
//	l	F	
//
int CInputFPD::KakuninMessage(Param *pParam)
{
	if (DispMessage(IDS_MSG_DEVICE_SET2, MB_OKCANCEL, FALSE,
			pParam->sShubetsuCode, pParam->sShikibetsuCode, pParam->sVolLabel) == IDCANCEL)
		return RC_CANCEL;

	return RC_NORMAL;
}

//
//	@\	F@{[x`FbN
//
//		F	pParam - ̓p[^
//
//	Al	F	ʃR[h
//
//	@\F	͂ꂽ{[xƔ}̂̃{[xv邩`FbNB
//
//	l	F	
//
int CInputFPD::CheckVolumeName(Param *pParam)
{
	CString sVolumeName;

	// {[擾
	if (!GetVolumeName(g_sPathFPD, sVolumeName))
		return RC_IOERROR;

	// {[`FbN
	if (pParam->sVolLabel == "000000") {
		if (sVolumeName != "")
			return RC_VOLUMENAME;
	} else {
		if (sVolumeName != pParam->sVolLabel)
			return RC_VOLUMENAME;
	}

	return RC_NORMAL;
}

//
//	@\	F@}̓͏
//
//		F	pParam - ̓p[^
//
//	Al	F	ʃR[h
//
//	@\F	}̂t@C͂B
//
//	l	F	
//
int CInputFPD::InputFiles(Param *pParam)
{
	CString sDstDir;

	// Rs[fBNg擾
	sDstDir = CreatePathName(g_sInputDir, pParam->sShikibetsuCode + pParam->sVolLabel);

	// Rs[fBNg폜
	DeleteDirectory(sDstDir, FALSE);

	// Rs[fBNg쐬
	CreateDirectory(sDstDir, NULL);

	// fBNgƃt@CRs[
	if (!CopyDirectory(g_sPathFPD, sDstDir, m_pUpdateWnd))
		return RC_IOERROR;

	return RC_NORMAL;
}
